View Issue Details

IDProjectCategoryView StatusLast Update
0000770SymmetricDSNew Featurepublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version3.1.0Fixed in Version3.1.0 
Summary0000770: Improve DbImport so that it incorporates the SymmetricDS data loader
DescriptionAdding the following features:

commit=The number of rows to import before committing data. The default is 10000.
ignore=Indicates that conflicts with existing rows should be ignored.
replace=Indicates that existing rows should be replaced. They will be replaced by an update statement. This only applies for --format=CSV,SYM_XML.
force=Ignore ANY errors and attempt to continue on processing the import data.
alter=If the table already exists, attempt to alter it to match the import definition. This only applies for --format=XML.
drop-if-exists=If the table already exists, attempt to drop it before creating it. This only applies for --format=XML.
alter-case=During the creation of tables alter the case to match the default case of the database. This only applies for --format=XML.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 785d9a79

2012-08-11 08:39:14

chenson

Details Diff
0000770: Improve DbImport so that it incorporates the SymmetricDS data loader
0000770
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbImportCommand.java Diff File
mod - symmetric-client/src/main/resources/symmetric-messages.properties Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File

SymmetricDS: master f79bb2a0

2012-08-12 15:49:55

chenson

Details Diff
0000770: Improve DbImport so that it incorporates the SymmetricDS data loader
0000770
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbFill.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbImport.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
add - symmetric-client/src/test/resources/test-dbimport-1-bad-line-2.sql Diff File
add - symmetric-client/src/test/resources/test-dbimport-1-good.sql Diff File
mod - symmetric-client/src/test/resources/test-dbimport.xml Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/AbstractTableDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/CsvTableDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/SqlDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File

SymmetricDS: master 61d1dbaf

2012-08-12 15:56:42

chenson

Details Diff
0000770: Improve DbImport so that it incorporates the SymmetricDS data loader
0000770
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File

SymmetricDS: master 982cfca7

2012-08-13 08:11:19

chenson

Details Diff
0000770: Improve DbImport so that it incorporates the SymmetricDS data loader
0000770
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbImport.java Diff File
mod - symmetric-client/src/main/resources/sym_batch.xsd Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-client/src/test/resources/log4j.xml Diff File
add - symmetric-client/src/test/resources/test-dbimport-1-sym_xml-1.xml Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/Batch.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/AbstractDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/AbstractTableDataReader.java Diff File
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/BatchXmlDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ProtocolDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/integrate/AbstractXmlPublisherExtensionPoint.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/integrate/XmlPublisherDataRouter.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/integrate/XmlPublisherDatabaseWriterFilter.java Diff File

SymmetricDS: master fc00a615

2012-08-13 08:11:34

chenson

Details Diff
0000770: Improve DbImport so that it incorporates the SymmetricDS data loader
0000770
mod - symmetric-client/src/test/resources/log4j.xml Diff File

SymmetricDS: master b087ef60

2012-08-13 09:19:51

chenson

Details Diff
0000770: fix firebird unit test. timestamp precision.
0000770
mod - symmetric-client/src/test/resources/test-dbimport-1-bad-line-2.sql Diff File
mod - symmetric-client/src/test/resources/test-dbimport-1-good.sql Diff File
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/integrate/XmlPublisherFilterTest.java Diff File

SymmetricDS: master 12a336da

2012-08-13 09:38:09

chenson

Details Diff
0000770: allow the force option to work on postgres
0000770
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2012-08-11 08:38 chenson New Issue
2012-08-11 08:38 chenson Assigned To => chenson
2012-08-11 08:38 chenson Status new => assigned
2012-08-13 22:16 chenson Status assigned => resolved
2012-08-13 22:16 chenson Fixed in Version => 3.1.0
2012-08-13 22:16 chenson Resolution open => fixed
2012-08-14 07:57 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6172
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6179
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6180
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6182
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6183
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6184
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6185
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 12a336da
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master b087ef60
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master fc00a615
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 982cfca7
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 61d1dbaf
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f79bb2a0
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 785d9a79